net.corda.core.messaging

## Class FlowHandle<A>

- net.corda.core.messaging.FlowHandle<A>

-     public class FlowHandle<A>

  `class FlowHandle` is a serialisable handle for the started flow, parameterised by the type of the flow's return value.

  See Also:
    `class FlowHandle`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowHandle(StateMachineRunId id, rx.Observable<java.lang.String> progress, com.google.common.util.concurrent.ListenableFuture<A> returnValue)` `class FlowHandle` is a serialisable handle for the started flow, parameterised by the type of the flow's return value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateMachineRunId` | `component1()`
    `rx.Observable<java.lang.String>` | `component2()`
    `com.google.common.util.concurrent.ListenableFuture<A>` | `component3()`
    `FlowHandle<A>` | `copy(StateMachineRunId id, rx.Observable<java.lang.String> progress, com.google.common.util.concurrent.ListenableFuture<A> returnValue)` `class FlowHandle` is a serialisable handle for the started flow, parameterised by the type of the flow's return value.
    `boolean` | `equals(java.lang.Object p)`
    `StateMachineRunId` | `getId()`
    `rx.Observable<java.lang.String>` | `getProgress()`
    `com.google.common.util.concurrent.ListenableFuture<A>` | `getReturnValue()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### FlowHandle

          public FlowHandle(StateMachineRunId id,
                            rx.Observable<java.lang.String> progress,
                            com.google.common.util.concurrent.ListenableFuture<A> returnValue)

      `class FlowHandle` is a serialisable handle for the started flow, parameterised by the type of the flow's return value.

      Parameters:
        `id` - The started state machine's ID.
        `progress` - The stream of progress tracker events.
        `returnValue` - A ListenableFuture of the flow's return value.
      See Also:
        `class FlowHandle`

  - ### Method Detail

    - #### getId

          public StateMachineRunId getId()

    - #### getProgress

          public rx.Observable<java.lang.String> getProgress()

    - #### getReturnValue

          public com.google.common.util.concurrent.ListenableFuture<A> getReturnValue()

    - #### component1

          public StateMachineRunId component1()

    - #### component2

          public rx.Observable<java.lang.String> component2()

    - #### component3

          public com.google.common.util.concurrent.ListenableFuture<A> component3()

    - #### copy

          public FlowHandle<A> copy(StateMachineRunId id,
                                    rx.Observable<java.lang.String> progress,
                                    com.google.common.util.concurrent.ListenableFuture<A> returnValue)

      `class FlowHandle` is a serialisable handle for the started flow, parameterised by the type of the flow's return value.

      Parameters:
        `id` - The started state machine's ID.
        `progress` - The stream of progress tracker events.
        `returnValue` - A ListenableFuture of the flow's return value.
      See Also:
        `class FlowHandle`

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)